SRC/slarmm.f(3)

NAME
SRC/slarmm.f

SYNOPSIS

  Functions/Subroutines
real function slarmm (anorm, bnorm, cnorm)
SLARMM

Function/Subroutine Documentation

  real function slarmm (real anorm, real bnorm, real cnorm)

SLARMM

Purpose:

     SLARMM returns a factor s in (0, 1] such that the linear updates
        (s * C) - A * (s * B)  and  (s * C) - (s * A) * B
     cannot overflow, where A, B, and C are matrices of conforming
     dimensions.
     This is an auxiliary routine so there is no argument checking.

Parameters
    ANORM

              ANORM is REAL
              The infinity norm of A. ANORM >= 0.
              The number of rows of the matrix A.  M >= 0.

    BNORM

              BNORM is REAL
              The infinity norm of B. BNORM >= 0.

    CNORM

              CNORM is REAL
              The infinity norm of C. CNORM >= 0.

     References: C. C. Kjelgaard Mikkelsen and L. Karlsson, Blocked Algorithms for Robust Solution of Triangular Linear Systems. In: International Conference on Parallel Processing and Applied Mathematics, pages 68--78. Springer, 2017.

Definition at line 60 of file slarmm.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.